#! /bin/sh
if [ $# -eq 0 ]; then
   echo "Error -  Installation folder name is  missing from command line argument"
   echo "Syntax : $0 Installation Folder Name"
   exit 1
fi

for files in dccody32.ini dcisdy32.ini
do
retValue=0;
fileName=$1/omsa/ini/$files
fileNameOut=$fileName.tmp
count=0;
maxcount=10;
if [ -e $fileName.org ]; then
	echo "FileConverter got executed already.." >/dev/null
else
	cp $1/omsa/ini/$files $1/omsa/ini/$files.org
	while [ $retValue -eq 0 ]
	do
	iconv -f "UTF-8" -t "ISO-8859-1" $fileName -o $fileNameOut 2>/dev/null 
	retValue=$?
	if [ $retValue -eq 0 ]; then
		mv $fileNameOut $fileName
	else
		 rm -f $1/omsa/ini/$files.tmp*
	fi
        
        if [ $count -ge $maxcount ]; then
                retValue=1
        fi
        count=`expr $count + 1`
	done

fi
done

